## amarok 3.0.1

=== debian/changelog ===
amarok (2:3.0.1-1ubuntu5) oracular; urgency=medium

  * No-change rebuild against Qt 5.15.15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Sep 2024 11:14:28 +0300

amarok (2:3.0.1-1ubuntu4) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:09:01 +0200

amarok (2:3.0.1-1ubuntu3) oracular; urgency=medium

  * Rebuild against new mariadb 11.4.2-2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jul 2024 16:09:04 +0200

amarok (2:3.0.1-1ubuntu2) oracular; urgency=medium

  * Rebuild against new mariadb 11.4.2-2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jul 2024 13:54:59 +0200

amarok (2:3.0.1-1ubuntu1) oracular; urgency=medium

  * Adapt Debian package for Ubuntu:
    - Add epoch "2:" to the version number
    - depend on default-libmysqld-dev | libmariadbd-dev
      (Ubuntu's version of mysql-defaults does not build default-libmysqld-dev)
    - depend on default-libmysqlclient-dev (>= 1.0.2~) | libmariadb-dev-compat
      (otherwise libmariadb-dev conflicts with libmysqlclient-dev)

 -- Maia Everett <maia@everett.one>  Thu, 06 Jun 2024 00:32:15 +0300

amarok (3.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Update path in watch file; switch to version 4.
  * Update the patches:
    - debian_mysqle_amarok_local_errmsg_feature.diff: port to Qt5
    - debian_find_mysql_fix.diff: drop, as mysql_config_pic has not been
      shipped in years
    - debian_clamz_is_runtime_dependency.diff: drop, as amzdownloader was
      dropped
    - valgrind_uninitialized_value: refresh/update
    - no-mp3tunes.diff: drop, as the mp3tunes service is disabled upstream now
    - use-secrure-URLs.diff: drop, fixed upstream
  * Update the build dependencies following the port to Frameworks:
    - remove libqtwebkit-dev, libqt4-opengl-dev, kdelibs5-dev, libqjson-dev,
      libqca2-dev, and liblastfm-dev
    - add qtbase5-dev, qttools5-dev, qtdeclarative5-dev, libqt5svg5-dev,
      qtquickcontrols2-5-dev, qtwebengine5-dev, libphonon4qt5-dev,
      libphonon4qt5experimental-dev, extra-cmake-modules, libkf5archive-dev,
      libkf5attica-dev, libkf5codecs-dev, libkf5config-dev,
      libkf5configwidgets-dev, libkf5coreaddons-dev, libkf5crash-dev,
      libkf5dbusaddons-dev, libkf5declarative-dev, libkf5dnssd-dev,
      libkf5doctools-dev, libkf5globalaccel-dev, libkf5guiaddons-dev,
      libkf5i18n-dev, libkf5iconthemes-dev, libkf5kcmutils-dev, libkf5kio-dev,
      libkf5newstuff-dev, libkf5notifications-dev, libkf5package-dev,
      libkf5solid-dev, libkf5texteditor-dev, libkf5threadweaver-dev,
      libkf5wallet-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
      kirigami2-dev, libqca-qt5-2-dev, and liblastfm5-dev
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump libtag1-dev to 1.12
    - add libmygpo-qt-dev, as it can be used without issues now
    - add dh-exec, for architecture-specific bits in install files
    - replace libgtk2.0-dev with libgdk-pixbuf-2.0-dev
    - explicitly add gettext, pkgconf, and python3:any
    - drop libtag-extras-dev, as it is no more available in Debian
    - drop libcurl4-gnutls-dev, libxml2-dev, libloudmouth1-dev, and
      libgcrypt20-dev, as mp3tunes is disabled
    - drop libwrap0-dev, and libaio-dev, no more needed
  * Use the right dh addon:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
    - stop using the kde addon
  * Switch the cmake parameter -DKDE4_BUILD_TESTS=false to the KF5 equivalent,
    -DBUILD_TESTING=false.
  * Update install files.
  * Switch /usr/share/kde4/apps/amarok/mysqle references to
    /usr/share/amarok/mysqle.
  * Drop the libqtscript4-core, libqtscript4-gui, libqtscript4-network,
    libqtscript4-xml, libqtscript4-sql, and libqtscript4-uitools dependencies,
    as they are no more needed (Qt5 Declarative is used).
  * amzdownloader was dropped, so:
    - drop the clamz recommend from amarok
    - stop mentioning it in the description of amarok-utils
  * Switch the libqt4-sql-sqlite, libqt4-sql-mysql, and libqt4-sql-psql suggests
    to their Qt5 counterparts, i.e. libqt5sql5-sqlite, libqt5sql5-mysql, and
    libqt5sql5-psql.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default
  * Add Rules-Requires-Root: no.
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Update lintian overrides.
  * Drop all the locally provided man pages: either they refer to tools that
    do not exist anymore, or they are terribly outdated.
  * Drop removal of COPYING files, as they are no more installed.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Use execute_after_dh_install-indep to avoid invoking dh_install manually,
    and to remove the manual check for arch:all packages being built.
  * Drop breaks/replaces for versions older than Jessie (current oldoldstable).
  * Update the bug control file to request the status of phonon4qt5-backend
    instead of phonon-backend.
  * Extend debian_mysqle_amarok_local_errmsg_feature.diff to load translated
    errmsg.sys files as well: add a Python script to copy not only the English
    errmsg.sys, but also all the available (at this time) translation errmsg.sys
    files
    - drop amarok-common.dirs, as all the needed directories are created by the
      copying script
  * Rewrite copyright to copyright-format v1.0, and massively update it.
  * Drop the migration from amarok-dbg, no more needed anymore at this point.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.

