## amarok 3.1.0

=== debian/changelog ===
amarok (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - debian_mysqle_amarok_local_errmsg_feature.diff: refresh, and adapt to the
      new upstream code
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.89.0
    - drop no more needed libkf5attica-dev, and libkf5newstuff-dev
  * Update install files.
  * Drop no more needed ${perl:Depends} substvar from amarok-common.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 04 Aug 2024 08:03:17 +0200

amarok (3.0.1-3) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Depend directly on libmariadbd-dev.
  * Update package contents to be compatible with MariaDB 11.4.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Jul 2024 22:35:40 +0200

amarok (3.0.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Update debian/README.Debian a bit, notably:
    - drop references to URLs, features, and files not available anymore
    - update the Phonon section a bit to the current way to configure it;
      the feature availability still needs to be reviewed, though

 -- Pino Toscano <pino@debian.org>  Fri, 21 Jun 2024 07:25:00 +0200
