=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: amarok
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  dh-exec,
@@ -20,42 +19,40 @@
  qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 armhf i386],
  libphonon4qt5-dev,
  libphonon4qt5experimental-dev,
- extra-cmake-modules (>= 5.78.0~),
- libkf5archive-dev (>= 5.78.0~),
- libkf5attica-dev (>= 5.78.0~),
- libkf5codecs-dev (>= 5.78.0~),
- libkf5config-dev (>= 5.78.0~),
- libkf5configwidgets-dev (>= 5.78.0~),
- libkf5coreaddons-dev (>= 5.78.0~),
- libkf5crash-dev (>= 5.78.0~),
- libkf5dbusaddons-dev (>= 5.78.0~),
- libkf5declarative-dev (>= 5.78.0~),
- libkf5dnssd-dev (>= 5.78.0~),
- libkf5doctools-dev (>= 5.78.0~),
- libkf5globalaccel-dev (>= 5.78.0~),
- libkf5guiaddons-dev (>= 5.78.0~),
- libkf5i18n-dev (>= 5.78.0~),
- libkf5iconthemes-dev (>= 5.78.0~),
- libkf5kcmutils-dev (>= 5.78.0~),
- libkf5kio-dev (>= 5.78.0~),
- libkf5newstuff-dev (>= 5.78.0~),
- libkf5notifications-dev (>= 5.78.0~),
- libkf5package-dev (>= 5.78.0~),
- libkf5solid-dev (>= 5.78.0~),
- libkf5texteditor-dev (>= 5.78.0~),
- libkf5threadweaver-dev (>= 5.78.0~),
- libkf5wallet-dev (>= 5.78.0~),
- libkf5widgetsaddons-dev (>= 5.78.0~),
- libkf5windowsystem-dev (>= 5.78.0~),
+ extra-cmake-modules (>= 5.89.0~),
+ libkf5archive-dev (>= 5.89.0~),
+ libkf5codecs-dev (>= 5.89.0~),
+ libkf5config-dev (>= 5.89.0~),
+ libkf5configwidgets-dev (>= 5.89.0~),
+ libkf5coreaddons-dev (>= 5.89.0~),
+ libkf5crash-dev (>= 5.89.0~),
+ libkf5dbusaddons-dev (>= 5.89.0~),
+ libkf5declarative-dev (>= 5.89.0~),
+ libkf5dnssd-dev (>= 5.89.0~),
+ libkf5doctools-dev (>= 5.89.0~),
+ libkf5globalaccel-dev (>= 5.89.0~),
+ libkf5guiaddons-dev (>= 5.89.0~),
+ libkf5i18n-dev (>= 5.89.0~),
+ libkf5iconthemes-dev (>= 5.89.0~),
+ libkf5kcmutils-dev (>= 5.89.0~),
+ libkf5kio-dev (>= 5.89.0~),
+ libkf5notifications-dev (>= 5.89.0~),
+ libkf5package-dev (>= 5.89.0~),
+ libkf5solid-dev (>= 5.89.0~),
+ libkf5texteditor-dev (>= 5.89.0~),
+ libkf5threadweaver-dev (>= 5.89.0~),
+ libkf5wallet-dev (>= 5.89.0~),
+ libkf5widgetsaddons-dev (>= 5.89.0~),
+ libkf5windowsystem-dev (>= 5.89.0~),
  kirigami2-dev,
  libmtp-dev (>= 1.0.0),
  libglib2.0-dev, libgpod-dev (>= 0.7.0),
- default-libmysqld-dev | libmariadbd-dev, default-libmysqlclient-dev (>= 1.0.2~) | libmariadb-dev-compat,
+ libmariadbd-dev, libmariadb-dev,
  libqca-qt5-2-dev, liblastfm5-dev (>= 1.0.3),
  libavformat-dev (>= 4:0.5), libofa0-dev,
  libmygpo-qt-dev,
  libgdk-pixbuf-2.0-dev,
-Build-Depends-Indep: default-mysql-server-core (>= 1.0.2~) | virtual-mysql-server-core
+Build-Depends-Indep: mariadb-server-core
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://amarok.kde.org
@@ -105,7 +102,7 @@
 
 Package: amarok-common
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}
+Depends: ${misc:Depends},
 Recommends: amarok (>= ${source:Version})
 Description: architecture independent files for Amarok
  This package contains architecture independent files needed for Amarok to run
