## amarok 3.1.1

=== debian/changelog ===
amarok (3.1.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against taglib 2.0.2.
  * debian/control: Update build-dependency package name:
    + libtag1-dev => libtag-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 21:53:04 -0500

amarok (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add libkf5textwidgets-dev
    - drop libkf5declarative-dev, no more used

 -- Pino Toscano <pino@debian.org>  Mon, 30 Sep 2024 08:04:30 +0200
