=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  gettext,
  pkgconf,
  python3:any,
- libtag1-dev (>= 1.12~),
+ libtag-dev (>= 1.12~),
  qtbase5-dev (>= 5.15.0~),
  qttools5-dev (>= 5.15.0~),
  qtdeclarative5-dev (>= 5.15.0~),
@@ -27,7 +27,6 @@
  libkf5coreaddons-dev (>= 5.89.0~),
  libkf5crash-dev (>= 5.89.0~),
  libkf5dbusaddons-dev (>= 5.89.0~),
- libkf5declarative-dev (>= 5.89.0~),
  libkf5dnssd-dev (>= 5.89.0~),
  libkf5doctools-dev (>= 5.89.0~),
  libkf5globalaccel-dev (>= 5.89.0~),
@@ -40,6 +39,7 @@
  libkf5package-dev (>= 5.89.0~),
  libkf5solid-dev (>= 5.89.0~),
  libkf5texteditor-dev (>= 5.89.0~),
+ libkf5textwidgets-dev (>= 5.89.0~),
  libkf5threadweaver-dev (>= 5.89.0~),
  libkf5wallet-dev (>= 5.89.0~),
  libkf5widgetsaddons-dev (>= 5.89.0~),
