=== debian/changelog ===
amarok (3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.108.0
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Tue, 04 Feb 2025 20:15:12 +0100
